Bug 1030497 - Add to Dashboard button not working
Add to Dashboard button not working
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity high
: ER07
: JON 3.2.0
Assigned To: Mike Thompson
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2013-11-14 10:02 EST by Mike Thompson
Modified: 2014-01-02 15:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-02 15:37:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screen shot (129.96 KB, image/png)
2013-11-19 12:10 EST, Filip Brychta
no flags Details

  None (edit)
Description Mike Thompson 2013-11-14 10:02:41 EST
Description of problem:
This is a recent regression that I thought was from my current commit. However, some investigation uncovers that it was from the addition of the Live values commit a couple weeks ago.

Version-Release number of selected component (if applicable):
3.2.0 ER05

How reproducible:

Steps to Reproduce:
1. Goto Monitoring -->Metrics, for a resource
2. Click on a metric
3. Press the 'Add' to add to the selected dashboard.

Actual results:
Does not add Charts to selected dashboard.

Expected results:
Charts should be added to selected dashboard.
Comment 1 Mike Thompson 2013-11-14 10:08:18 EST
This is committed to master: 1a90ed8
Comment 2 Mike Thompson 2013-11-14 11:32:35 EST
Now committed to release/jon3.2.x: 8a48f8e
Comment 3 Simeon Pinder 2013-11-19 10:49:15 EST
Moving to ON_QA as available for testing with new brew build.
Comment 4 Filip Brychta 2013-11-19 12:09:35 EST
Add button is disabled on ER6. See attached screen shot
Comment 5 Filip Brychta 2013-11-19 12:10:04 EST
Created attachment 826213 [details]
screen shot
Comment 6 Mike Thompson 2013-11-19 17:11:31 EST
I just tested this in latest master and it works. Looks like I need to figure out the difference between master and release/jon3.2.x. What bits didn't make it?
Comment 7 Mike Thompson 2013-11-20 10:19:13 EST
I now tested this in release/jon3.2.x build and it is functioning properly.

I think this was due to bad build.

Please retest in ER7/CR1.
Comment 8 Simeon Pinder 2013-11-22 00:02:01 EST
Moving to ON_QA as available to test in ER7 and later brew builds.
Comment 9 Filip Brychta 2013-11-22 04:39:40 EST
Verified on
Version :	
Build Number :	

Note You need to log in before you can comment on or make changes to this bug.